> ## Documentation Index
> Fetch the complete documentation index at: https://protegee.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Bland - Set Context

> Sets up the context for a Bland call using customer information and payment details



## OpenAPI

````yaml POST /voice/api/v1/bland/set-context
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://protegee.ai/
security:
  - bearerAuth: []
paths:
  /voice/api/v1/bland/set-context:
    post:
      tags:
        - Context
      summary: Set context for Bland call
      description: >-
        Sets up the context for a Bland call using customer information and
        payment details
      operationId: setContextForBland
      parameters:
        - in: query
          name: api_token
          required: true
          schema:
            type: string
          description: API token for authentication
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - caller
                - description
                - price
                - vendor
              properties:
                caller:
                  type: string
                  description: Customer's phone number
                  example: '+1234567890'
                description:
                  type: string
                  example: iPhone 15 Pro Max
                price:
                  type: string
                  example: '999.99'
                vendor:
                  type: string
                  example: Apple Store
                customer_id:
                  type: string
                persona:
                  type: string
                  default: english-jessica
                callback:
                  type: string
                email:
                  type: string
                full_name:
                  type: string
                memory:
                  type: string
                transaction_type:
                  type: string
                  enum:
                    - once
                    - subscription
                    - authorize
                  default: once
      responses:
        '200':
          description: Context set successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                  message:
                    type: object
                    properties:
                      caller:
                        type: string
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
components: {}

````